> For the complete documentation index, see [llms.txt](https://docs.aquanow.io/cams/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aquanow.io/cams/api-reference/vasps.md).

# Vasps

## List VASPs

> Retrieve VASP ID needed for whitelisting hosted wallets. The ID is used to ensure the travel rule message arrives at the correct destination when sending transactions.

```json
{"openapi":"3.0.3","info":{"title":"Aquanow API","version":"1.0.0"},"servers":[{"url":"https://api.aquanow.com"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","scheme":"bearer"}}},"paths":{"/v1/vasps":{"get":{"summary":"List VASPs","description":"Retrieve VASP ID needed for whitelisting hosted wallets. The ID is used to ensure the travel rule message arrives at the correct destination when sending transactions.","operationId":"listVasps","parameters":[{"name":"after","in":"query","required":false,"schema":{"type":"string"},"description":"When provided, specifies the last item returned in previous page, used to fetch the next page. Fetches the first page when omitted."},{"name":"limit","in":"query","required":false,"schema":{"type":"integer"},"description":"When provided, specifies the number of items to return in the page. Uses default page size of 10 when omitted."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"after":{"type":"string","description":"The token of the last item in the response","nullable":true},"totalCount":{"type":"integer","description":"The total number of items in the entire filtered data set"},"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"}}}}}}}}},"400":{"description":"Validation Error"},"401":{"description":"Unauthorized"},"403":{"description":"Insufficient Privileges"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"}}}}}},"409":{"description":"Duplicate request error","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"}}}}}},"4XX":{"description":"Client error"},"5XX":{"description":"Server error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aquanow.io/cams/api-reference/vasps.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
